using System;

namespace eBiz {
  class Program {
    static void Main(string[] args) {
      Book[] Books = {
        new Book(){ ISBN="0000",Title="Book0",Author="Author0",Year=2019,Price=0F},
        new Book(){ ISBN="1111",Title="Book1",Author="Author1",Year=2020,Price=100F},
        new Book(){ ISBN="2222",Title="Book2",Author="Author2",Year=2020,Price=200F},
        new Book(){ ISBN="3333",Title="Book3",Author="Author3",Year=2021,Price=300F},
        new Book(){ ISBN="4444",Title="Book4",Author="Author4",Year=2021,Price=400F},
        new Book(){ ISBN="5555",Title="Book5",Author="Author5",Year=2022,Price=500F},
      };
      Cart<Book> ShoppingCart = new Cart<Book>();
      ShoppingCart.Add(Books[0], 2);
      ShoppingCart.Add(Books[1], 2);
      ShoppingCart.Add(Books[2], 5);
      ShoppingCart.Add(Books[1], 2);
      ShoppingCart.Remove(Books[0], 2);
      ShoppingCart.Remove(Books[2], 2);
      foreach(var ci in ShoppingCart.All) {
        Console.WriteLine(ci);
      }
      Console.WriteLine($"Grand Total is :{ShoppingCart.GrandTotal:c}");
    }
  }
}
